Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 676134 (CVE-2019-2422, CVE-2019-2426) - <dev-java/oracle-{jre,jdk}-bin-1.8.0.202: multiple vulnerabilities
Summary: <dev-java/oracle-{jre,jdk}-bin-1.8.0.202: multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2019-2422, CVE-2019-2426
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.oracle.com/technetwork/se...
Whiteboard: B2 [glsa+ cve]
Keywords:
: 676146 (view as bug list)
Depends on: 676146 676148
Blocks:
  Show dependency tree
 
Reported: 2019-01-23 23:16 UTC by D'juan McDonald (domhnall)
Modified: 2019-03-14 01:45 UTC (History)
2 users (show)

See Also:
Package list:
dev-java/oracle-jre-bin-1.8.0.202 dev-java/oracle-jdk-bin-1.8.0.202
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2019-01-23 23:16:01 UTC
CVE-2019-2422 (https://nvd.nist.gov/vuln/detail/CVE-2019-2422):
Vulnerability in the Java SE component of Oracle Java SE (subcomponent: Libraries). Supported versions that are affected are Java SE: 7u201, 8u192 and 11.0.1; Java SE Embedded: 8u191. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in unauthorized read access to a subset of Java SE accessible data



This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator).


CVE-2019-2426 (https://nvd.nist.gov/vuln/detail/CVE-2019-2426):
Vulnerability in the Java SE component of Oracle Java SE (subcomponent: Networking). Supported versions that are affected are Java SE: 7u201, 8u192 and 11.0.1; Java SE Embedded: 8u191. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in unauthorized read access to a subset of Java SE accessible data. 


This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs.



Gentoo Security Padawan
(domhnall)
Comment 1 Thomas Deutschmann gentoo-dev Security 2019-01-24 19:26:50 UTC
*** Bug 676146 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-01-24 22:25:22 UTC
x86 stable
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-01-25 10:04:58 UTC
amd64 stable
Comment 4 Larry the Git Cow gentoo-dev 2019-01-25 10:16:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f7d05c70054fd252ec1f5e8b4a415ae2162ed27

commit 9f7d05c70054fd252ec1f5e8b4a415ae2162ed27
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2019-01-25 10:16:16 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2019-01-25 10:16:36 +0000

    dev-java/oracle-jre-bin-1.8.0.192: removed
    
    Bug: https://bugs.gentoo.org/676134
    Package-Manager: Portage-2.3.58, Repoman-2.3.12
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/oracle-jre-bin/Manifest                   |   2 -
 .../oracle-jre-bin/oracle-jre-bin-1.8.0.192.ebuild | 220 ---------------------
 2 files changed, 222 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31e007615d000ba33355438ed8dd9513f2660503

commit 31e007615d000ba33355438ed8dd9513f2660503
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2019-01-25 10:14:01 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2019-01-25 10:16:35 +0000

    dev-java/oracle-jdk-bin-1.8.0.192: removed
    
    Bug: https://bugs.gentoo.org/676134
    Package-Manager: Portage-2.3.58, Repoman-2.3.12
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/oracle-jdk-bin/Manifest                   |  14 -
 .../oracle-jdk-bin/oracle-jdk-bin-1.8.0.192.ebuild | 297 ---------------------
 2 files changed, 311 deletions(-)
Comment 5 Yury German Gentoo Infrastructure gentoo-dev 2019-03-10 06:20:00 UTC
Arches and Maintainer(s), Thank you for your work.
Added to an existing GLSA Request.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2019-03-14 01:45:58 UTC
This issue was resolved and addressed in
 GLSA 201903-14 at https://security.gentoo.org/glsa/201903-14
by GLSA coordinator Aaron Bauman (b-man).